regina::NExampleTriangulation Class Reference
Triangulations

This class offers routines for constructing sample 3-manifold triangulations of various types. More...

`#include <triangulation/nexampletriangulation.h>`

## Static Public Member Functions

Closed Triangulations
static NTriangulation * | threeSphere ()
| Returns a one-tetrahedron triangulation of the 3-sphere. More...
static NTriangulation * | bingsHouse ()
| Returns the two-tetrahedron triangulation of the 3-sphere that is dual to Bing's house with two rooms. More...
static NTriangulation * | s2xs1 ()
| Returns a two-tetrahedron triangulation of the product space `S^2 x S^1`. More...
static NTriangulation * | rp2xs1 ()
| Returns a three-tetrahedron triangulation of the non-orientable product space `RP^2 x S^1`. More...
static NTriangulation * | rp3rp3 ()
| Returns a triangulation of the connected sum `RP^3 # RP^3`. More...
static NTriangulation * | lens8_3 ()
| Returns the minimal triangulation of the lens space `L(8,3)`. More...
static NTriangulation * | poincareHomologySphere ()
| Returns the five-tetrahedron triangulation of the Poincare homology sphere. More...
static NTriangulation * | weeks ()
| Returns a nine-tetrahedron minimal triangulation of the Weeks manifold. More...
static NTriangulation * | weberSeifert ()
| Returns a one-vertex triangulation of the Weber-Seifert dodecahedral space. More...
static NTriangulation * | seifertWeber ()
| Returns a one-vertex triangulation of the Weber-Seifert dodecahedral space. More...
static NTriangulation * | smallClosedOrblHyperbolic ()
| Returns the nine-tetrahedron closed orientable hyperbolic 3-manifold with volume 0.94270736. More...
static NTriangulation * | smallClosedNonOrblHyperbolic ()
| Returns the eleven-tetrahedron closed non-orientable hyperbolic 3-manifold with volume 2.02988321. More...
static NTriangulation * | sphere600 ()
| Returns the boundary 3-sphere of the regular 600-cell. More...
Finite Bounded Triangulations
static NTriangulation * | lst3_4_7 ()
| Returns the three-tetrahedron layered solid torus `LST(3,4,7)`. More...
static NTriangulation * | solidKleinBottle ()
| Returns a triangulation of the solid Klein bottle. More...
Ideal Triangulations
static NTriangulation * | figureEightKnotComplement ()
| Returns a two-tetrahedron ideal triangulation of the figure eight knot complement. More...
static NTriangulation * | trefoilKnotComplement ()
| Returns a two-tetrahedron ideal triangulation of the trefoil knot complement. More...
static NTriangulation * | whiteheadLinkComplement ()
| Returns a four-tetrahedron ideal triangulation of the Whitehead link complement. More...
static NTriangulation * | gieseking ()
| Returns the one-tetrahedron ideal triangulation of the non-orientable Gieseking manifold. More...
static NTriangulation * | cuspedGenusTwoTorus ()
| Returns a triangulation of a solid genus two torus with a cusped boundary. More...

## Detailed Description

This class offers routines for constructing sample 3-manifold triangulations of various types.

These triangulations may be useful for testing new code, or for simply getting a feel for how Regina works.

The sample triangulations offered here may prove especially useful in Regina's scripting interface, where working with pre-existing files is more complicated than in the GUI.

Note that each of these routines constructs a new triangulation from scratch. It is up to the caller of each routine to destroy the triangulation that is returned.

## Member Function Documentation

static NTriangulation* regina::NExampleTriangulation::bingsHouse | ( |  | ) |

static

Returns the two-tetrahedron triangulation of the 3-sphere that is dual to Bing's house with two rooms.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::cuspedGenusTwoTorus | ( |  | ) |

static

Returns a triangulation of a solid genus two torus with a cusped boundary.

This triangulation has one internal finite vertex and one genus two ideal vertex.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::figureEightKnotComplement | ( |  | ) |

static

Returns a two-tetrahedron ideal triangulation of the figure eight knot complement.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::gieseking | ( |  | ) |

static

Returns the one-tetrahedron ideal triangulation of the non-orientable Gieseking manifold.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::lens8_3 | ( |  | ) |

static

Returns the minimal triangulation of the lens space `L(8,3)`.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::lst3_4_7 | ( |  | ) |

static

Returns the three-tetrahedron layered solid torus `LST(3,4,7)`.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::poincareHomologySphere | ( |  | ) |

static

Returns the five-tetrahedron triangulation of the Poincare homology sphere.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::rp2xs1 | ( |  | ) |

static

Returns a three-tetrahedron triangulation of the non-orientable product space `RP^2 x S^1`.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::rp3rp3 | ( |  | ) |

static

Returns a triangulation of the connected sum `RP^3 # RP^3`.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::s2xs1 | ( |  | ) |

static

Returns a two-tetrahedron triangulation of the product space `S^2 x S^1`.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::seifertWeber | ( |  | ) |

static

Returns a one-vertex triangulation of the Weber-Seifert dodecahedral space.

Deprecated:
  This routine is now called weberSeifert(), for consistency with Weber and Seifert's original paper. The old name seifertWeber() has been kept for backward compatibility, but will be removed in a future version of Regina.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::smallClosedNonOrblHyperbolic | ( |  | ) |

static

Returns the eleven-tetrahedron closed non-orientable hyperbolic 3-manifold with volume 2.02988321.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::smallClosedOrblHyperbolic | ( |  | ) |

static

Returns the nine-tetrahedron closed orientable hyperbolic 3-manifold with volume 0.94270736.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::solidKleinBottle | ( |  | ) |

static

Returns a triangulation of the solid Klein bottle.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::sphere600 | ( |  | ) |

static

Returns the boundary 3-sphere of the regular 600-cell.

This is a triangulation of the 3-sphere that is a simplicial complex, and in which every edge has degree five.

The triangulation was extracted from the Benedetti-Lutz library of triangulations. See: http://page.math.tu-berlin.de/~lutz/stellar/library_of_triangulations.html

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::threeSphere | ( |  | ) |

static

Returns a one-tetrahedron triangulation of the 3-sphere.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::trefoilKnotComplement | ( |  | ) |

static

Returns a two-tetrahedron ideal triangulation of the trefoil knot complement.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::weberSeifert | ( |  | ) |

static

Returns a one-vertex triangulation of the Weber-Seifert dodecahedral space.

This 3-manifold is described in "Die beiden Dodekaederraume", C. Weber and H. Seifert, Math. Z. 37 (1933), no. 1, 237-253. The triangulation returned by this routine (with 23 tetrahedra) is given in "The Weber-Seifert dodecahedral space is non-Haken", Benjamin A. Burton, J. Hyam Rubinstein and Stephan Tillmann, Trans. Amer. Math. Soc. 364:2 (2012), pp. 911-932.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::weeks | ( |  | ) |

static

Returns a nine-tetrahedron minimal triangulation of the Weeks manifold.

The Weeks manifold is the smallest-volume closed hyperbolic 3-manifold, with a volume of roughly 0.9427. Note that there are nine minimal triangulations of the Weeks manifold (of course this routine returns just one).

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static NTriangulation* regina::NExampleTriangulation::whiteheadLinkComplement | ( |  | ) |

static

Returns a four-tetrahedron ideal triangulation of the Whitehead link complement.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

The documentation for this class was generated from the following file:

- triangulation/nexampletriangulation.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).